Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  45° Linien filtern u. löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   45° Linien filtern u. löschen (3147 mal gelesen)
BBecker
Mitglied



Sehen Sie sich das Profil von BBecker an!   Senden Sie eine Private Message an BBecker  Schreiben Sie einen Gästebucheintrag für BBecker

Beiträge: 133
Registriert: 05.06.2002

Windows 7, Acad 2012
MEP

erstellt am: 09. Sep. 2002 10:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CAD-Spezies,
ich habe in meiner Zeichnung aufgelöste Schraffur, die auf dem selben Layer liegen, wie die Umrandungslinien, die ich aber weiterhin benötige. Wie kann ich diese aufgelöste Schraffur markieren und löschen.
Danke im Voraus
Beate

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Thomas Rausch
Mitglied



Sehen Sie sich das Profil von Thomas Rausch an!   Senden Sie eine Private Message an Thomas Rausch  Schreiben Sie einen Gästebucheintrag für Thomas Rausch

Beiträge: 1199
Registriert: 26.03.2001

Intel P4 2,6 GHz
512 MB RAM
NVIDIA GeForce FX 5200
.
WinXP prof.
Autodesk Map 2004 SP 1
WS-Landcad 2004
.
Tetris

erstellt am: 09. Sep. 2002 11:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BBecker 10 Unities + Antwort hilfreich

Hallo Beate,
da sollte doch was über die Schnellauswahl machbar sein:
z.B. Filtern nach Linien mit einem Winkel von 45° (in der Hoffnung, dass keine Umgrenzungslinie auch genau 45° hat). Evt gibt es auch andere unterschiedliche Eigenschaften.
Sollten aber Schraffur- und Umgrenzungslinien wirklich exakt dieselben Eigenschaften haben: Viel Spaß! 

------------------
gruß
thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Ehrenmitglied V.I.P. h.c.
CAD on demand GmbH



Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4131
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools

erstellt am: 09. Sep. 2002 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für BBecker 10 Unities + Antwort hilfreich

Hallo Beate,

ich habe mal schnell mit LISP was gebaut. Aber wie Thomas schon sagt, Vorsicht, wenn die Umgrenzungslinien ebenfalls im 45°-Winkel gezeichnet sind.

;;;hdel - HatchLinien löschen
;;;
;;;Löscht Linien, die in einem (anzugebenden) Winkel in der Zeichnung vorhanden sind.
;;;Es werden nur die Linien gewählt, die auf dem aktuellen Layer gezeichnet sind.
;;;Befehl: hdel
;;;
;;;Holger Brischke
;;;Geisberg 84
;;;66132 Saarbrücken
;;;brischke@planet-interkom.de
;;;
(defun c:hdel (/ grd ALISTE)
  (command "_.undo" "_G")
  (initget 4)
  (setq grd (getreal "\nWinkel der Linien (,die gelöscht werden sollen): ")
grd (/ (* pi grd)180)
ALISTE (ssget (List '(-4 . "<AND")
    '(0 . "LINE")
    (cons 8 (getvar "CLAYER"))
    '(-4 . "AND>")
    )
      )
)
  (if ALISTE
    (mapcar '(lambda (el)
      (delgradline (entget el) grd)
      )
    (bau_elemli ALISTE)
    )
    )
  (command "_.undo" "_E")
  )
;;;
;;;
(defun bau_elemli (asatz / n elemli)
  (setq n 0)
  (repeat (sslength asatz)
    (setq elemli(cons (ssname asatz n) elemli)
  n (1+ n))
    )
  elemli
  )
;;;
;;;
(defun delgradline (lin grad / )
  (if (or
(equal (angle (cdr (assoc 10 lin)) (cdr (assoc 11 lin))) grad 0.000005)
(equal (angle (cdr (assoc 11 lin)) (cdr (assoc 10 lin))) grad 0.000005)
)
    (entdel (cdr (assoc -1 lin)))
    )
  )
;;;


Bei Fragen ...

Grüße Holger

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

BBecker
Mitglied



Sehen Sie sich das Profil von BBecker an!   Senden Sie eine Private Message an BBecker  Schreiben Sie einen Gästebucheintrag für BBecker

Beiträge: 133
Registriert: 05.06.2002

Windows 7, Acad 2012
MEP

erstellt am: 09. Sep. 2002 15:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,
vielen Dank für Deine Anregung. Die Schnellauswahl hatte ich total vergessen. Da mein Rechner nicht der schnellste ist und die Zeichnung sehr groß. Dauert sehr lange bis ich mit der Schnellauswahl etwas machen kann. Wahrscheinlich liegt es daran, daß die Schraffur aufgelöst ist. Ich werde es nocheinmal versuchen und nur bestimmte Bereiche auswählen, dann wird es wohl schneller gehen.
Gruß Beate

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz